# CEGUI::MouseCursorEventArgs Class Reference

EventArgs based class that is used for objects passed to input event handlers concerning mouse cursor events. More...

Inheritance diagram for CEGUI::MouseCursorEventArgs:

[legend]
Collaboration diagram for CEGUI::MouseCursorEventArgs:

[legend]
List of all members.

## Public Member Functions

| MouseCursorEventArgs (MouseCursor *cursor)

## Public Attributes

MouseCursor * | mouseCursor
| pointer to a MouseCursor object of relevance to the event.
const Image * | image
| pointer to an Image object of relevance to the event.

## Detailed Description

EventArgs based class that is used for objects passed to input event handlers concerning mouse cursor events.